#pragma once

#include "Mix/Tool/Win32/Core/Object.h"

namespace Mix{ namespace Tool{ namespace Win32{ namespace File{

	//アウトプットストリームクラス
	class OutputStream : public Mix::Tool::Win32::Object
	{
	private:
		HANDLE m_hFile;

	public:
		OutputStream( void );
		~OutputStream( void );

		bool Open( const wchar_t* pFileName );
		void Close( void );

		bool Write( const void* pData, unsigned int dataSize );

	public:
		virtual Mix::Tool::Win32::Object::TYPE GetType( void ) const;
	};

}}}}
